DK API 文档

weibo 03

15 个接口

GETfetch hot ranking timeline

GET https://dkai.store/api/v1/weibo/web_v2/fetch_hot_ranking_timeline

1 积分 / 成功调用

参数位置要求说明
ranking_typequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_hot_ranking_timeline?ranking_type=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot search index

GET https://dkai.store/api/v1/weibo/web_v2/fetch_hot_search_index

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_hot_search_index'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot search summary

GET https://dkai.store/api/v1/weibo/web_v2/fetch_hot_search_summary

2 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_hot_search_summary'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch life ranking

GET https://dkai.store/api/v1/weibo/web_v2/fetch_life_ranking

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_life_ranking'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post comments

GET https://dkai.store/api/v1/weibo/web_v2/fetch_post_comments

1 积分 / 成功调用

参数位置要求说明
idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_post_comments?id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post detail

GET https://dkai.store/api/v1/weibo/web_v2/fetch_post_detail

1 积分 / 成功调用

参数位置要求说明
idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_post_detail?id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch post sub comments

GET https://dkai.store/api/v1/weibo/web_v2/fetch_post_sub_comments

1 积分 / 成功调用

参数位置要求说明
idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_post_sub_comments?id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch social ranking

GET https://dkai.store/api/v1/weibo/web_v2/fetch_social_ranking

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_social_ranking'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user basic info

GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_basic_info

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_user_basic_info?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user fans

GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_fans

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/weibo/web_v2/fetch_user_fans?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。